pkgbase = dune-pdelab-tutorials
	pkgdesc = Tutorial for PDELab providing a range of examples
	pkgver = 2022
	pkgrel = 1
	url = https://dune-project.org/modules/dune-pdelab-tutorials
	arch = x86_64
	groups = dune-pdelab-module
	license = GPL2
	checkdepends = dune-alugrid>=2.8.0
	checkdepends = gnuplot
	makedepends = eigen
	depends = dune-pdelab
	optdepends = texlive-latexextra: Type setting system
	optdepends = texlive-pictures: Packages for drawings graphics
	optdepends = texlive-science: Typesetting for mathematics, natural and computer sciences
	optdepends = texlive-bibtexextra: Additional BibTeX styles and bibliography databases
	optdepends = texlive-fontsextra: all sorts of extra fonts
	optdepends = imagemagick: image viewing/manipulation program
	optdepends = python-sphinx: Building Sphinx documentation
	optdepends = doxygen: Generate the class documentation from C++ sources
	optdepends = inkscape: converts SVG images
	optdepends = eigen: Lightweight C++ template library for vector and matrix math
	optdepends = petsc: Portable, extensible toolkit for scientific computation
	source = https://gitlab.dune-project.org/pdelab/dune-pdelab-tutorials/-/archive/remove-unused-scrpage2/dune-pdelab-tutorials-remove-unused-scrpage2.tar.gz
	source = uggrid-compatibility.patch::https://github.com/cpp-review-dune/dune-pdelab-tutorials/commit/6107c55c467980b38eeecf68c28b6fe5a0ca44e2.patch
	sha512sums = 74a850afa53112373b20df0d958726383a957d257bef2dcc8f26464ab39b44fb9e34e5894a1aafcfec5c2a30d2b513402cb8fd1dda6eafa382bd0e330c1962b3
	sha512sums = bbe4542db67a38b3585b71664dfefa5945bed3993089416999bba432f04151236255a3624a5c15d6b76fd77e56772b24d79a01b9e6cc3b1903ae0d8f52315746

pkgname = dune-pdelab-tutorials
